function makeEnemy(id, enemy)
	if id == 1 then
		local y = math.random(90, 600)
		
		local evil = {}
		evil.x = 1300
		evil.y = y
		evil.id = id
		evil.speed = 250
		evil.health = 45
		
		table.insert(enemy, evil)
	end
end

function updateEnemy(enemy, dt)
   for i,v in ipairs(enemy) do --Draws the Enemies
      if v then
         v.x = v.x - (v.speed * dt)
         
         if v.x < -200 then
            v.removeme = true
         end
      end
   end
      
   for i,v in ipairs(player.bullets) do      
      if v then
         for ii,vv in ipairs(enemy) do --Draws the Enemies
            if v.y + 8 > vv.y and v.y < vv.y + 102 and v.x + 128 > vv.x and v.x < vv.x + 96 then
               vv.health = vv.health - 0.4
               v.removeme = true
            end
				
			if vv.health <= 0 then
               vv.removeme = true
            end
         end
      end
   end
   
   	for i = #enemy, 1, -1 do
		if enemy[i].removeme then
			table.remove(enemy, i) --Deletes enemy
		end	
	end
   
   for i = #player.bullets, 1, -1 do
      if player.bullets[i].removeme then
         table.remove(player.bullets, i) --Deletes bullet
      end
   end
end